package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowRecordMapper;
import com.lz.modules.flow.entity.FlowRecord;
import com.lz.modules.flow.service.FlowRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 流转记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class FlowRecordServiceImpl extends ServiceImpl<FlowRecordMapper, FlowRecord> implements FlowRecordService {


    @Autowired
	private FlowRecordMapper flowRecordMapper;



	@Override
	public FlowRecord selectFlowRecordById(Long id){
		return flowRecordMapper.selectFlowRecordById(id);
	}



	@Override
	public Long insertFlowRecord(FlowRecord flowRecord){
		return flowRecordMapper.insertFlowRecord(flowRecord);
	}



	@Override
	public int updateFlowRecordById(FlowRecord flowRecord){
		return flowRecordMapper.updateFlowRecordById(flowRecord);
	}



	@Override
	public int updateCoverFlowRecordById(FlowRecord flowRecord){
		return flowRecordMapper.updateCoverFlowRecordById(flowRecord);
	}



	@Override
	public int deleteFlowRecordById(Long id){
		return flowRecordMapper.deleteFlowRecordById(id);
	}




}
